Package org.apache.wiki.workflow

## Class SimpleDecision

- java.lang.Object
- - org.apache.wiki.workflow.AbstractStep
  - - org.apache.wiki.workflow.Decision
    - - org.apache.wiki.workflow.SimpleDecision

All Implemented Interfaces:
  `java.io.Serializable`, `Step`

    public class SimpleDecision
    extends Decision

Decision subclass that includes two available Outcomes: `Outcome.DECISION_APPROVE` or `Outcome.DECISION_DENY`. The Decision is reassignable, and the default Outcome is `Outcome.DECISION_APPROVE`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.wiki.workflow.Step

`TIME_NOT_SET`

### Constructor Summary

Constructors
`SimpleDecision​(int workflowId, java.util.Map<java.lang.String,​java.io.Serializable> workflowContext, java.lang.String messageKey, java.security.Principal actor)` Constructs a new SimpleDecision assigned to a specified actor.

### Method Summary

### Methods inherited from class org.apache.wiki.workflow.Decision

`addFact, decide, execute, getActor, getDefaultOutcome, getFacts, getId, isReassignable, reassign, setId`

### Methods inherited from class org.apache.wiki.workflow.AbstractStep

`addError, addSuccessor, getAvailableOutcomes, getEndTime, getErrors, getMessageKey, getOutcome, getStartTime, getSuccessor, getWorkflowContext, getWorkflowId, isCompleted, isStarted, setOutcome, setWorkflow, start`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDecision

    public SimpleDecision​(int workflowId,
                          java.util.Map<java.lang.String,​java.io.Serializable> workflowContext,
                          java.lang.String messageKey,
                          java.security.Principal actor)

Constructs a new SimpleDecision assigned to a specified actor.

Parameters:
  `workflowId` - the parent workflow id to set
  `workflowContext` - the parent workflow context to set
  `messageKey` - the message key that describes the Decision, which will be presented in the UI
  `actor` - the Principal (e.g., WikiPrincipal, GroupPrincipal, Role) who will decide